Search Gradle plugins

Version 0.1.1 (latest)

Created 11 November 2019.

Find SLF4J classpath conflicts at build time using Gradle dependency capabilities

Using the plugins DSL:

plugins {
  id "org.mpierce.slf4j-capabilities" version "0.1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.org.mpierce.slf4j-capabilities:gradle-plugin-slf4j-capabilities:0.1.1"
  }
}

apply plugin: "org.mpierce.slf4j-capabilities"

Using the plugins DSL:

plugins {
  id("org.mpierce.slf4j-capabilities") version "0.1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.org.mpierce.slf4j-capabilities:gradle-plugin-slf4j-capabilities:0.1.1")
  }
}

apply(plugin = "org.mpierce.slf4j-capabilities")

Learn how to apply plugins to subprojects